Bug 451188 - "New" Real Time Clock driver won't work on HP DL380 G4/G5
"New" Real Time Clock driver won't work on HP DL380 G4/G5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-13 05:57 EDT by shr
Modified: 2015-04-27 04:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.6.26.6-79.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 00:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 11580 None None None Never

  None (edit)
Description shr 2008-06-13 05:57:21 EDT
Description of problem:
Fedora 9 use the "new" Real Time Clock Driver (Device Drivers  ---> Real Time
Clock), but it don't work on HP DL380 G4/G5.
I don't know

Version-Release number of selected component (if applicable):
All the kernel released for Fedora 9 (kernel-2.6.25-14.fc9.x86_64 ~
kernel-2.6.25.4-30.fc9.x86_64)

How reproducible:
Install Fedora9 on HP DL380 G4/G5

Steps to Reproduce:
1. Just install Fedora9 on HP DL380 G4/G5
2.
3.
  
Actual results:
/dev/rtc0 won't be created.

Expected results:
/dev/rtc0 will be created and a symbolic link /dev/rtc will link to /dev/rtc0

Additional info:
It will work with "old" Real Time Clock driver, 
(Device Drivers  ---> Character devices  ---> Enhanced Real Time Clock Support
(and Generic /dev/rtc emulation) ).
If "new" Real Time Clock Driver won't work on HP DL380 G4/G5 even in the future,
could you please compile the "old" Real Time Clock driver as module?
Comment 1 Chuck Ebbert 2008-06-14 04:32:32 EDT
Are there any error messages in the log about the driver not loading/working?
Does the output of 'lsmod' show it is loaded?
Comment 2 shr 2008-06-16 02:28:02 EDT
I don't know how to get the right information, could you please tell me what
information I can provide and how can I get it(what command should I execute) to
help solve this problem? 
It is ok If you need all the output of dmesg and lsmod. (about 578 + 48 lines)
Following is the information I can get.

Fedora 9 On HP DL380G4 (use new rtc driver and don't work)
# ls -al /dev/rtc*
ls: cannot access /dev/rtc*: No such file or directory

# dmesg | grep -i rtc
<nothing>

#lsmod | grep -i rtc
<nothing>

# clock --systohc --debug
hwclock from util-linux-ng 2.13.1
hwclock: Open of /dev/rtc failed, errno=2: No such file or directory.
No usable clock interface found.
Cannot access the Hardware Clock via any known method.


Fedora 9 On IBM BladeCenter HS21 (use new rtc driver and working)
# ls -al /dev/rtc*
lrwxrwxrwx 1 root root      4 2008-06-16 22:07 /dev/rtc -> rtc0
crw-r--r-- 1 root root 254, 0 2008-06-16 22:07 /dev/rtc0

# dmesg | grep -i rtc
ACPI: RTC can wake from S4
rtc_cmos 00:06: rtc core: registered rtc_cmos as rtc0
rtc0: alarms up to one year

#lsmod | grep -i rtc
<nothing>


Fedora 8 On HP DL380G4 (Use old char -> rtc and working)
# ls -alt /dev/rtc*
crw-r--r-- 1 root root 10, 135 2008-06-10 20:32 /dev/rtc

# dmesg | grep -i rtc
<nothing>

#lsmod | grep -i rtc
<nothing>
Comment 3 shr 2008-08-14 00:17:36 EDT
The same for HP DL 360G5, does HP use strange rtc chip on it's Server?
Comment 4 Chuck Ebbert 2008-09-04 15:23:18 EDT
Please post the entire boot messages file (/var/log/dmesg) after booting the broken kernel.
Comment 5 manuel 2008-09-05 05:18:37 EDT
Although I'm not sure, I think the problem is that the HP servers are not exporting the RTC via PNP.

From ./drivers/rtc/rtc-cmos.c:
static const struct pnp_device_id rtc_ids[] = {
        { .id = "PNP0b00", },
        { .id = "PNP0b01", },
        { .id = "PNP0b02", },
        { },
};

# cat /sys/devices/pnp0/*/id
PNP0a03
PNP0c02
IPI0001
PNP0103
PNP0200
PNP0800
PNP0303
PNP0f13
PNP0f0e
PNP0a06
PNP0501
PNP0500





dmesg
storage1:~ # dmesg
Initializing cgroup subsys cpuset
Linux version 2.6.25.14-108.fc9.x86_64 (mockbuild@) (gcc version 4.3.0 20080428 (Red Hat 4.3.0-8) (GCC) ) #1 SMP Mon Aug 4 13:46:35 EDT 2008
Command line: ro root=/dev/VolGroup00/LogVol00
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f400 (usable)
 BIOS-e820: 000000000009f400 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 00000000cfe56000 (usable)
 BIOS-e820: 00000000cfe56000 - 00000000cfe5e000 (ACPI data)
 BIOS-e820: 00000000cfe5e000 - 00000000cfe5f000 (usable)
 BIOS-e820: 00000000cfe5f000 - 00000000d0000000 (reserved)
 BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fed00000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee10000 (reserved)
 BIOS-e820: 00000000ffc00000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 000000022ffff000 (usable)
Entering add_active_range(0, 0, 159) 0 entries of 3200 used
Entering add_active_range(0, 256, 851542) 1 entries of 3200 used
Entering add_active_range(0, 851550, 851551) 2 entries of 3200 used
Entering add_active_range(0, 1048576, 2293759) 3 entries of 3200 used
end_pfn_map = 2293759
DMI 2.4 present.
ACPI: RSDP 000F4F00, 0024 (r2 HP    )
ACPI: XSDT CFE567C0, 0074 (r1 HP     ProLiant        2   Ò     162E)
ACPI: FACP CFE56840, 00F4 (r3 HP     ProLiant        2   Ò     162E)
ACPI: DSDT CFE56940, 1FB8 (r1 HP         DSDT        1 INTL 20030228)
ACPI: FACS CFE56100, 0040
ACPI: SPCR CFE56140, 0050 (r1 HP     SPCRRBSU        1   Ò     162E)
ACPI: MCFG CFE561C0, 003C (r1 HP     ProLiant        1             0)
ACPI: HPET CFE56200, 0038 (r1 HP     ProLiant        2   Ò     162E)
ACPI: SPMI CFE56240, 0040 (r5 HP     ProLiant        1   Ò     162E)
ACPI: ERST CFE56280, 01D0 (r1 HP     ProLiant        1   Ò     162E)
ACPI: APIC CFE56480, 009E (r1 HP     ProLiant        2             0)
ACPI: FFFF CFE56540, 0176 (r1 HP     ProLiant        1   Ò     162E)
ACPI: BERT CFE566C0, 0030 (r1 HP     ProLiant        1   Ò     162E)
ACPI: HEST CFE56700, 00BC (r1 HP     ProLiant        1   Ò     162E)
No NUMA configuration found
Faking a node at 0000000000000000-000000022ffff000
Entering add_active_range(0, 0, 159) 0 entries of 3200 used
Entering add_active_range(0, 256, 851542) 1 entries of 3200 used
Entering add_active_range(0, 851550, 851551) 2 entries of 3200 used
Entering add_active_range(0, 1048576, 2293759) 3 entries of 3200 used
Bootmem setup node 0 0000000000000000-000000022ffff000
  NODE_DATA [0000000000012000 - 0000000000019fff]
  bootmap [000000000001a000 -  000000000005ffff] pages 46
early res: 0 [0-fff] BIOS data page
early res: 1 [6000-7fff] SMP_TRAMPOLINE
early res: 2 [200000-75223b] TEXT DATA BSS
early res: 3 [37c91000-37fefcad] RAMDISK
early res: 4 [9f400-a03ff] EBDA
early res: 5 [8000-11fff] PGTABLE
 [ffffe20000000000-ffffe200001fffff] PMD ->ffff810001200000 on node 0
 [ffffe20000200000-ffffe200003fffff] PMD ->ffff810001600000 on node 0
 [ffffe20000400000-ffffe200005fffff] PMD ->ffff810001a00000 on node 0
 [ffffe20000600000-ffffe200007fffff] PMD ->ffff810001e00000 on node 0
 [ffffe20000800000-ffffe200009fffff] PMD ->ffff810002200000 on node 0
 [ffffe20000a00000-ffffe20000bfffff] PMD ->ffff810002600000 on node 0
 [ffffe20000c00000-ffffe20000dfffff] PMD ->ffff810002a00000 on node 0
 [ffffe20000e00000-ffffe20000ffffff] PMD ->ffff810002e00000 on node 0
 [ffffe20001000000-ffffe200011fffff] PMD ->ffff810003200000 on node 0
 [ffffe20001200000-ffffe200013fffff] PMD ->ffff810003600000 on node 0
 [ffffe20001400000-ffffe200015fffff] PMD ->ffff810003a00000 on node 0
 [ffffe20001600000-ffffe200017fffff] PMD ->ffff810003e00000 on node 0
 [ffffe20001800000-ffffe200019fffff] PMD ->ffff810004200000 on node 0
 [ffffe20001a00000-ffffe20001bfffff] PMD ->ffff810004600000 on node 0
 [ffffe20001c00000-ffffe20001dfffff] PMD ->ffff810004a00000 on node 0
 [ffffe20001e00000-ffffe20001ffffff] PMD ->ffff810004e00000 on node 0
 [ffffe20002000000-ffffe200021fffff] PMD ->ffff810005200000 on node 0
 [ffffe20002200000-ffffe200023fffff] PMD ->ffff810005600000 on node 0
 [ffffe20002400000-ffffe200025fffff] PMD ->ffff810005a00000 on node 0
 [ffffe20002600000-ffffe200027fffff] PMD ->ffff810005e00000 on node 0
 [ffffe20002800000-ffffe200029fffff] PMD ->ffff810006200000 on node 0
 [ffffe20002a00000-ffffe20002bfffff] PMD ->ffff810006600000 on node 0
 [ffffe20002c00000-ffffe20002dfffff] PMD ->ffff810006a00000 on node 0
 [ffffe20003800000-ffffe200039fffff] PMD ->ffff810006e00000 on node 0
 [ffffe20003a00000-ffffe20003bfffff] PMD ->ffff810007200000 on node 0
 [ffffe20003c00000-ffffe20003dfffff] PMD ->ffff810007600000 on node 0
 [ffffe20003e00000-ffffe20003ffffff] PMD ->ffff810007a00000 on node 0
 [ffffe20004000000-ffffe200041fffff] PMD ->ffff810007e00000 on node 0
 [ffffe20004200000-ffffe200043fffff] PMD ->ffff810008200000 on node 0
 [ffffe20004400000-ffffe200045fffff] PMD ->ffff810008600000 on node 0
 [ffffe20004600000-ffffe200047fffff] PMD ->ffff810008a00000 on node 0
 [ffffe20004800000-ffffe200049fffff] PMD ->ffff810008e00000 on node 0
 [ffffe20004a00000-ffffe20004bfffff] PMD ->ffff810009200000 on node 0
 [ffffe20004c00000-ffffe20004dfffff] PMD ->ffff810009600000 on node 0
 [ffffe20004e00000-ffffe20004ffffff] PMD ->ffff810009a00000 on node 0
 [ffffe20005000000-ffffe200051fffff] PMD ->ffff810009e00000 on node 0
 [ffffe20005200000-ffffe200053fffff] PMD ->ffff81000a200000 on node 0
 [ffffe20005400000-ffffe200055fffff] PMD ->ffff81000a600000 on node 0
 [ffffe20005600000-ffffe200057fffff] PMD ->ffff81000aa00000 on node 0
 [ffffe20005800000-ffffe200059fffff] PMD ->ffff81000ae00000 on node 0
 [ffffe20005a00000-ffffe20005bfffff] PMD ->ffff81000b200000 on node 0
 [ffffe20005c00000-ffffe20005dfffff] PMD ->ffff81000b600000 on node 0
 [ffffe20005e00000-ffffe20005ffffff] PMD ->ffff81000ba00000 on node 0
 [ffffe20006000000-ffffe200061fffff] PMD ->ffff81000be00000 on node 0
 [ffffe20006200000-ffffe200063fffff] PMD ->ffff81000c200000 on node 0
 [ffffe20006400000-ffffe200065fffff] PMD ->ffff81000c600000 on node 0
 [ffffe20006600000-ffffe200067fffff] PMD ->ffff81000ca00000 on node 0
 [ffffe20006800000-ffffe200069fffff] PMD ->ffff81000ce00000 on node 0
 [ffffe20006a00000-ffffe20006bfffff] PMD ->ffff81000d200000 on node 0
 [ffffe20006c00000-ffffe20006dfffff] PMD ->ffff81000d600000 on node 0
 [ffffe20006e00000-ffffe20006ffffff] PMD ->ffff81000da00000 on node 0
 [ffffe20007000000-ffffe200071fffff] PMD ->ffff81000de00000 on node 0
 [ffffe20007200000-ffffe200073fffff] PMD ->ffff81000e200000 on node 0
 [ffffe20007400000-ffffe200075fffff] PMD ->ffff81000e600000 on node 0
 [ffffe20007600000-ffffe200077fffff] PMD ->ffff81000ea00000 on node 0
 [ffffe20007800000-ffffe200079fffff] PMD ->ffff81000ee00000 on node 0
 [ffffe20007a00000-ffffe20007bfffff] PMD ->ffff81000f200000 on node 0
Zone PFN ranges:
  DMA             0 ->     4096
  DMA32        4096 ->  1048576
  Normal    1048576 ->  2293759
Movable zone start PFN for each node
early_node_map[4] active PFN ranges
    0:        0 ->      159
    0:      256 ->   851542
    0:   851550 ->   851551
    0:  1048576 ->  2293759
On node 0 totalpages: 2096629
  DMA zone: 56 pages used for memmap
  DMA zone: 1378 pages reserved
  DMA zone: 2565 pages, LIFO batch:0
  DMA32 zone: 14280 pages used for memmap
  DMA32 zone: 833167 pages, LIFO batch:31
  Normal zone: 17023 pages used for memmap
  Normal zone: 1228160 pages, LIFO batch:31
  Movable zone: 0 pages used for memmap
ACPI: PM-Timer IO Port: 0x908
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 (Bootup-CPU)
ACPI: LAPIC (acpi_id[0x04] lapic_id[0x04] disabled)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x02] disabled)
ACPI: LAPIC (acpi_id[0x06] lapic_id[0x06] enabled)
Processor #6
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
Processor #1
ACPI: LAPIC (acpi_id[0x05] lapic_id[0x05] disabled)
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x03] disabled)
ACPI: LAPIC (acpi_id[0x07] lapic_id[0x07] enabled)
Processor #7
ACPI: LAPIC_NMI (acpi_id[0xff] dfl dfl lint[0x1])
ACPI: IOAPIC (id[0x08] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 8, address 0xfec00000, GSI 0-23
ACPI: IOAPIC (id[0x09] address[0xfec80000] gsi_base[24])
IOAPIC[1]: apic_id 9, address 0xfec80000, GSI 24-47
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 high edge)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Setting APIC routing to flat
ACPI: HPET id: 0x8086a201 base: 0xfed00000
Using ACPI (MADT) for SMP configuration information
PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
PM: Registered nosave memory: 00000000cfe56000 - 00000000cfe5e000
PM: Registered nosave memory: 00000000cfe5f000 - 00000000d0000000
PM: Registered nosave memory: 00000000d0000000 - 00000000e0000000
PM: Registered nosave memory: 00000000e0000000 - 00000000f0000000
PM: Registered nosave memory: 00000000f0000000 - 00000000fec00000
PM: Registered nosave memory: 00000000fec00000 - 00000000fed00000
PM: Registered nosave memory: 00000000fed00000 - 00000000fee00000
PM: Registered nosave memory: 00000000fee00000 - 00000000fee10000
PM: Registered nosave memory: 00000000fee10000 - 00000000ffc00000
PM: Registered nosave memory: 00000000ffc00000 - 0000000100000000
Allocating PCI resources starting at d1000000 (gap: d0000000:10000000)
SMP: Allowing 8 CPUs, 4 hotplug CPUs
PERCPU: Allocating 42688 bytes of per cpu data
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 2063892
Policy zone: Normal
Kernel command line: ro root=/dev/VolGroup00/LogVol00
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
Extended CMOS year: 2000
TSC calibrated against PM_TIMER
time.c: Detected 3000.093 MHz processor.
Console: colour VGA+ 80x25
console [tty0] enabled
Checking aperture...
Calgary: detecting Calgary via BIOS EBDA area
Calgary: Unable to locate Rio Grande table in EBDA - bailing!
PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
Placing software IO TLB between 0xf433000 - 0x13433000
Memory: 8193932k/9175036k available (2629k kernel code, 192584k reserved, 1382k data, 352k init)
CPA: page pool initialized 1 of 1 pages preallocated
SLUB: Genslabs=13, HWalign=64, Order=0-1, MinObjects=4, CPUs=8, Nodes=1
hpet clockevent registered
Calibrating delay using timer specific routine.. 6003.63 BogoMIPS (lpj=3001815)
Security Framework initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
Mount-cache hash table entries: 256
Initializing cgroup subsys ns
Initializing cgroup subsys cpuacct
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 0/0 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU0: Thermal monitoring enabled (TM2)
using mwait in idle threads.
ACPI: Core revision 20070126
Using local APIC timer interrupts.
APIC timer calibration result 20833956
Detected 20.833 MHz APIC timer.
Booting processor 1/4 APIC 0x6
Initializing CPU#1
Calibrating delay using timer specific routine.. 6000.03 BogoMIPS (lpj=3000016)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 1/6 -> Node 0
CPU: Physical Processor ID: 3
CPU: Processor Core ID: 0
CPU1: Thermal monitoring enabled (TM2)
Intel(R) Xeon(R) CPU            5160  @ 3.00GHz stepping 06
checking TSC synchronization [CPU#0 -> CPU#1]: passed.
Booting processor 2/4 APIC 0x1
Initializing CPU#2
Calibrating delay using timer specific routine.. 6000.02 BogoMIPS (lpj=3000013)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 2/1 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
CPU2: Thermal monitoring enabled (TM2)
Intel(R) Xeon(R) CPU            5160  @ 3.00GHz stepping 06
checking TSC synchronization [CPU#0 -> CPU#2]: passed.
Booting processor 3/4 APIC 0x7
Initializing CPU#3
Calibrating delay using timer specific routine.. 6000.04 BogoMIPS (lpj=3000021)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 3/7 -> Node 0
CPU: Physical Processor ID: 3
CPU: Processor Core ID: 1
CPU3: Thermal monitoring enabled (TM2)
Intel(R) Xeon(R) CPU            5160  @ 3.00GHz stepping 06
checking TSC synchronization [CPU#0 -> CPU#3]: passed.
Brought up 4 CPUs
sizeof(vma)=176 bytes
sizeof(page)=56 bytes
sizeof(inode)=560 bytes
sizeof(dentry)=208 bytes
sizeof(ext3inode)=760 bytes
sizeof(buffer_head)=104 bytes
sizeof(skbuff)=232 bytes
sizeof(task_struct)=6224 bytes
CPU0 attaching sched-domain:
 domain 0: span 00000000,00000005
  groups: 00000000,00000001 00000000,00000004
  domain 1: span 00000000,0000000f
   groups: 00000000,00000005 00000000,0000000a
   domain 2: span 00000000,0000000f
    groups: 00000000,0000000f
CPU1 attaching sched-domain:
 domain 0: span 00000000,0000000a
  groups: 00000000,00000002 00000000,00000008
  domain 1: span 00000000,0000000f
   groups: 00000000,0000000a 00000000,00000005
   domain 2: span 00000000,0000000f
    groups: 00000000,0000000f
CPU2 attaching sched-domain:
 domain 0: span 00000000,00000005
  groups: 00000000,00000004 00000000,00000001
  domain 1: span 00000000,0000000f
   groups: 00000000,00000005 00000000,0000000a
   domain 2: span 00000000,0000000f
    groups: 00000000,0000000f
CPU3 attaching sched-domain:
 domain 0: span 00000000,0000000a
  groups: 00000000,00000008 00000000,00000002
  domain 1: span 00000000,0000000f
   groups: 00000000,0000000a 00000000,00000005
   domain 2: span 00000000,0000000f
    groups: 00000000,0000000f
net_namespace: 1016 bytes
Time: 17:00:26  Date: 08/14/08
NET: Registered protocol family 16
No dock devices found.
ACPI: bus type pci registered
PCI: Using MMCONFIG at e0000000 - efffffff
PCI: Using configuration type 1
ACPI: EC: Look up EC in DSDT
ACPI: Interpreter enabled
ACPI: (supports S0 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.IP2P._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PT02._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PT02.IPE4._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PT02.IPE4.IPE1._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PT02.P2P2._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PT03._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PT04._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PT06.NB01._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PT07.NB02._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKB] (IRQs 5 *7 10 11)
ACPI: PCI Interrupt Link [LNKC] (IRQs 5 7 *10 11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 5 7 *10 11)
ACPI: PCI Interrupt Link [LNKE] (IRQs 5 7 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKG] (IRQs 5 7 *10 11)
ACPI: PCI Interrupt Link [LNKH] (IRQs 5 *7 10 11)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 10 devices
ACPI: ACPI bus type pnp unregistered
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
PCI-GART: No AMD northbridge found.
hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
hpet0: 3 64-bit timers, 14318180 Hz
system 00:01: ioport range 0x408-0x40f has been reserved
system 00:01: ioport range 0x4d0-0x4d1 has been reserved
system 00:01: ioport range 0x700-0x71f has been reserved
system 00:01: ioport range 0x800-0x83f has been reserved
system 00:01: ioport range 0x900-0x97f has been reserved
system 00:01: ioport range 0xc80-0xc83 has been reserved
system 00:01: ioport range 0xcd4-0xcd7 has been reserved
system 00:01: ioport range 0xf50-0xf58 has been reserved
system 00:01: ioport range 0xca0-0xca1 has been reserved
system 00:01: ioport range 0xca4-0xca5 has been reserved
system 00:01: ioport range 0x2f8-0x2ff has been reserved
system 00:01: iomem range 0xe0000000-0xefffffff could not be reserved
system 00:01: iomem range 0xfe000000-0xfebfffff has been reserved
PCI: Bridge: 0000:0a:00.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:0a:01.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:0a:02.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:09:00.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:09:00.3
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:02.0
  IO window: disabled.
  MEM window: 0xfdf00000-0xfdffffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:03.0
  IO window: 4000-4fff
  MEM window: 0xfdd00000-0xfdefffff
  PREFETCH window: 0x00000000d1000000-0x00000000d10fffff
PCI: Bridge: 0000:00:04.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:05.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:02:00.0
  IO window: disabled.
  MEM window: 0xf8000000-0xf9ffffff
  PREFETCH window: 0x00000000d1100000-0x00000000d11fffff
PCI: Bridge: 0000:00:06.0
  IO window: disabled.
  MEM window: 0xf8000000-0xf9ffffff
  PREFETCH window: 0x00000000d1100000-0x00000000d11fffff
PCI: Bridge: 0000:04:00.0
  IO window: disabled.
  MEM window: 0xfa000000-0xfbffffff
  PREFETCH window: 0x00000000d1200000-0x00000000d12fffff
PCI: Bridge: 0000:00:07.0
  IO window: disabled.
  MEM window: 0xfa000000-0xfbffffff
  PREFETCH window: 0x00000000d1200000-0x00000000d12fffff
PCI: Bridge: 0000:00:1e.0
  IO window: 2000-3fff
  MEM window: 0xf7e00000-0xf7ffffff
  PREFETCH window: 0x00000000d8000000-0x00000000dfffffff
PCI: Setting latency timer of device 0000:00:02.0 to 64
PCI: Setting latency timer of device 0000:09:00.0 to 64
ACPI: PCI Interrupt 0000:0a:00.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:0a:00.0 to 64
ACPI: PCI Interrupt 0000:0a:01.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:0a:01.0 to 64
ACPI: PCI Interrupt 0000:0a:02.0[A] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:0a:02.0 to 64
PCI: Setting latency timer of device 0000:09:00.3 to 64
PCI: Setting latency timer of device 0000:00:03.0 to 64
PCI: Setting latency timer of device 0000:00:04.0 to 64
PCI: Setting latency timer of device 0000:00:05.0 to 64
PCI: Setting latency timer of device 0000:00:06.0 to 64
PCI: Setting latency timer of device 0000:02:00.0 to 64
PCI: Setting latency timer of device 0000:00:07.0 to 64
PCI: Setting latency timer of device 0000:04:00.0 to 64
PCI: Setting latency timer of device 0000:00:1e.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 262144 (order: 9, 2097152 bytes)
TCP established hash table entries: 524288 (order: 11, 8388608 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
checking if image is initramfs...<7>Switched to high resolution mode on CPU 3
Switched to high resolution mode on CPU 1
Switched to high resolution mode on CPU 2
Switched to high resolution mode on CPU 0
 it is
Freeing initrd memory: 3451k freed
audit: initializing netlink socket (disabled)
type=2000 audit(1218733225.621:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci 0000:01:03.0: Boot video device
PCI: Setting latency timer of device 0000:00:02.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:02.0:pcie00]
Allocate Port Service[0000:00:02.0:pcie01]
PCI: Setting latency timer of device 0000:00:03.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:03.0:pcie00]
Allocate Port Service[0000:00:03.0:pcie01]
PCI: Setting latency timer of device 0000:00:04.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:04.0:pcie00]
Allocate Port Service[0000:00:04.0:pcie01]
PCI: Setting latency timer of device 0000:00:05.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:05.0:pcie00]
Allocate Port Service[0000:00:05.0:pcie01]
PCI: Setting latency timer of device 0000:00:06.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:06.0:pcie00]
Allocate Port Service[0000:00:06.0:pcie01]
PCI: Setting latency timer of device 0000:00:07.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:07.0:pcie00]
Allocate Port Service[0000:00:07.0:pcie01]
PCI: Setting latency timer of device 0000:09:00.0 to 64
Allocate Port Service[0000:09:00.0:pcie11]
PCI: Setting latency timer of device 0000:0a:00.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:0a:00.0:pcie21]
PCI: Setting latency timer of device 0000:0a:01.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:0a:01.0:pcie21]
PCI: Setting latency timer of device 0000:0a:02.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:0a:02.0:pcie21]
AER service couldn't init device 0000:00:02.0:pcie01 - no _OSC support
AER service couldn't init device 0000:00:03.0:pcie01 - no _OSC support
AER service couldn't init device 0000:00:04.0:pcie01 - no _OSC support
AER service couldn't init device 0000:00:05.0:pcie01 - no _OSC support
AER service couldn't init device 0000:00:06.0:pcie01 - no _OSC support
AER service couldn't init device 0000:00:07.0:pcie01 - no _OSC support
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: ACPI0007:00 is registered as cooling_device0
ACPI: ACPI0007:01 is registered as cooling_device1
ACPI: ACPI0007:06 is registered as cooling_device2
ACPI: ACPI0007:07 is registered as cooling_device3
ACPI: LNXTHERM:01 is registered as thermal_zone0
ACPI: Thermal Zone [THM0] (8 C)
hpet_resources: 0xfed00000 is busy
Non-volatile memory driver v1.2
Linux agpgart interface v0.103
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
00:09: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
brd: module loaded
input: Macintosh mouse button emulation as /devices/virtual/input/input0
PNP: PS/2 Controller [PNP0303:KBD,PNP0f0e:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
cpuidle: using governor ladder
cpuidle: using governor menu
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
registered taskstats version 1
  Magic number: 4:827:36
Freeing unused kernel memory: 352k freed
Write protecting the kernel read-only data: 1112k
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1d.7: debug port 1
PCI: cache line size of 32 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: irq 16, io mem 0xf7df0000
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 8 ports detected
usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb1: Product: EHCI Host Controller
usb usb1: Manufacturer: Linux 2.6.25.14-108.fc9.x86_64 ehci_hcd
usb usb1: SerialNumber: 0000:00:1d.7
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
USB Universal Host Controller Interface driver v3.0
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.0: irq 16, io base 0x00001000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb2: Product: UHCI Host Controller
usb usb2: Manufacturer: Linux 2.6.25.14-108.fc9.x86_64 uhci_hcd
usb usb2: SerialNumber: 0000:00:1d.0
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1d.1: irq 17, io base 0x00001020
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb3: Product: UHCI Host Controller
usb usb3: Manufacturer: Linux 2.6.25.14-108.fc9.x86_64 uhci_hcd
usb usb3: SerialNumber: 0000:00:1d.1
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1d.2: irq 18, io base 0x00001040
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb4: Product: UHCI Host Controller
usb usb4: Manufacturer: Linux 2.6.25.14-108.fc9.x86_64 uhci_hcd
usb usb4: SerialNumber: 0000:00:1d.2
ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 19 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1d.3 to 64
uhci_hcd 0000:00:1d.3: UHCI Host Controller
uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
uhci_hcd 0000:00:1d.3: irq 19, io base 0x00001060
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb5: Product: UHCI Host Controller
usb usb5: Manufacturer: Linux 2.6.25.14-108.fc9.x86_64 uhci_hcd
usb usb5: SerialNumber: 0000:00:1d.3
ACPI: PCI Interrupt 0000:01:04.4[B] -> GSI 22 (level, low) -> IRQ 22
uhci_hcd 0000:01:04.4: UHCI Host Controller
uhci_hcd 0000:01:04.4: new USB bus registered, assigned bus number 6
uhci_hcd 0000:01:04.4: port count misdetected? forcing to 2 ports
uhci_hcd 0000:01:04.4: irq 22, io base 0x00003800
usb usb6: configuration #1 chosen from 1 choice
hub 6-0:1.0: USB hub found
hub 6-0:1.0: 2 ports detected
usb usb6: New USB device found, idVendor=1d6b, idProduct=0001
usb usb6: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb6: Product: UHCI Host Controller
usb usb6: Manufacturer: Linux 2.6.25.14-108.fc9.x86_64 uhci_hcd
usb usb6: SerialNumber: 0000:01:04.4
SCSI subsystem initialized
HP CISS Driver (v 3.6.20)
ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 16 (level, low) -> IRQ 16
cciss: MSI-X init failed -22
cciss0: <0x3230> at PCI 0000:06:00.0 IRQ 16 using DAC
      blocks= 716544402 block_size= 512
      heads=255, sectors=32, cylinders=87812

      blocks= 716544402 block_size= 512
      heads=255, sectors=32, cylinders=87812

 cciss/c0d0: p1 p2 p3
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.13.0-ioctl (2007-10-18) initialised: dm-devel@redhat.com
usb 6-1: new full speed USB device using uhci_hcd and address 2
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
type=1404 audit(1218733227.411:2): selinux=0 auid=4294967295 ses=4294967295
usb 6-1: configuration #1 chosen from 1 choice
input: HP Virtual Keyboard as /devices/pci0000:00/0000:00:1e.0/0000:01:04.4/usb6/6-1/6-1:1.0/input/input1
input,hidraw0: USB HID v1.01 Keyboard [HP Virtual Keyboard] on usb-0000:01:04.4-1
input: HP Virtual Keyboard as /devices/pci0000:00/0000:00:1e.0/0000:01:04.4/usb6/6-1/6-1:1.1/input/input2
input,hidraw1: USB HID v1.01 Mouse [HP Virtual Keyboard] on usb-0000:01:04.4-1
usb 6-1: New USB device found, idVendor=03f0, idProduct=1027
usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 6-1: Product: Virtual Keyboard
usb 6-1: Manufacturer: HP
usb 6-2: new full speed USB device using uhci_hcd and address 3
usb 6-2: configuration #1 chosen from 1 choice
hub 6-2:1.0: USB hub found
hub 6-2:1.0: 7 ports detected
usb 6-2: New USB device found, idVendor=03f0, idProduct=1327
usb 6-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 6-2: Product: Virtual Hub
usb 6-2: Manufacturer: HP
input: Power Button (FF) as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
ACPI: Power Button (FF) [PWRF]
EDAC MC: Ver: 2.1.0 Aug  4 2008
EDAC MC0: Giving out device to 'i5000_edac.c' 'I5000': DEV 0000:00:10.0
EDAC PCI0: Giving out device to module 'i5000_edac' controller 'EDAC PCI controller': DEV '0000:00:10.0' (POLLED)
input: PC Speaker as /devices/platform/pcspkr/input/input4
libata version 3.00 loaded.
ACPI: PCI Interrupt 0000:01:04.0[A] -> GSI 21 (level, low) -> IRQ 21
hpwdt: New timer passed in is 30 seconds.
hp Watchdog Timer Driver: 1.00, timer margin: 30 seconds( nowayout=0).
Broadcom NetXtreme II Gigabit Ethernet Driver bnx2 v1.7.4 (February 18, 2008)
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 18 (level, low) -> IRQ 18
ata_piix 0000:00:1f.1: version 2.12
ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:00:1f.1 to 64
scsi0 : ata_piix
scsi1 : ata_piix
ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0x500 irq 14
ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0x508 irq 15
intel_rng: FWH not detected
ipmi message handler version 39.1
iTCO_vendor_support: vendor-support=0
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.02 (26-Jul-2007)
iTCO_wdt: failed to reset NO_REBOOT flag, reboot disabled by hardware
iTCO_wdt: No card detected
IPMI System Interface driver.
ipmi_si: Trying SMBIOS-specified kcs state machine at i/o address 0xca2, slave address 0x20, irq 0
ipmi: Found new BMC (man_id: 0x00000b,  prod_id: 0x0000, dev_id: 0x11)
IPMI kcs interface initialized
ipmi_si: Trying ACPI-specified kcs state machine at i/o address 0xca2, slave address 0x0, irq 0
ipmi_si: duplicate interface
ata1.00: ATAPI: HL-DT-STDVD-ROM GDR-D10N, 3.00, max UDMA/33
eth0: Broadcom NetXtreme II BCM5708 1000Base-T (B1) PCI-X 64-bit 133MHz found at mem f8000000, IRQ 18, node addr 00:17:a4:a9:ce:e4
ACPI: PCI Interrupt 0000:05:00.0[A] -> GSI 19 (level, low) -> IRQ 19
ata1.00: configured for UDMA/33
scsi 0:0:0:0: CD-ROM            HL-DT-ST DVD-ROM GDR-D10N 3.00 PQ: 0 ANSI: 5
eth1: Broadcom NetXtreme II BCM5708 1000Base-T (B1) PCI-X 64-bit 133MHz found at mem fa000000, IRQ 19, node addr 00:17:a4:a9:ce:e6
ACPI: PCI Interrupt 0000:01:04.6[A] -> GSI 21 (level, low) -> IRQ 21
ipmi_si: Trying PCI-specified kcs state machine at mem address 0xf7ef0000, slave address 0x0, irq 21
  Using irq 21
ipmi: interfacing existing BMC (man_id: 0x00000b, prod_id: 0x0000, dev_id: 0x11)
IPMI kcs interface initialized
Driver 'sr' needs updating - please use bus_type methods
sr0: scsi3-mmc drive: 24x/24x cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 0:0:0:0: Attached scsi CD-ROM sr0
sr 0:0:0:0: Attached scsi generic sg0 type 5
loop: module loaded
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on cciss/c0d0p1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 2064376k swap on /dev/mapper/VolGroup00-LogVol01.  Priority:-1 extents:1 across:2064376k
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
Ethernet Channel Bonding Driver: v3.2.5 (March 21, 2008)
[...]
Comment 6 shr 2008-09-16 09:16:18 EDT
Bad news again...

In 2.6.25 kernel, I can compile the old rtc driver by myself.
In 2.6.26.5 kernel, I can't find the rtc config in Device Drivers -> Character devices anymore...


Following is the dmesg on HPDL380 G4

Initializing cgroup subsys cpuset
Linux version 2.6.26.3-29.fc9.x86_64 (mockbuild@) (gcc version 4.3.0 20080428 (Red Hat 4.3.0-8) (GCC) ) #1 SMP Wed Sep 3 03:16:37 EDT 2008
Command line: ro root=/dev/VolGroup00/LogVol00
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f400 (usable)
 BIOS-e820: 000000000009f400 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 00000000dfff3000 (usable)
 BIOS-e820: 00000000dfff3000 - 00000000dfffb000 (ACPI data)
 BIOS-e820: 00000000dfffb000 - 00000000e0000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fed00000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee10000 (reserved)
 BIOS-e820: 00000000ffc00000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 000000021bfff000 (usable)
Entering add_active_range(0, 0, 159) 0 entries of 25600 used
Entering add_active_range(0, 256, 917491) 1 entries of 25600 used
Entering add_active_range(0, 1048576, 2211839) 2 entries of 25600 used
max_pfn_mapped = 2211839
x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
init_memory_mapping
DMI 2.3 present.
ACPI: RSDP 000F4F00, 0024 (r2 HP    )
ACPI: XSDT DFFF3300, 004C (r1 HP     P51             2   �     162E)
ACPI: FACP DFFF3380, 00F4 (r3 HP     P51             2   �     162E)
ACPI: DSDT DFFF3480, 2DAB (r1 HP         DSDT        1 INTL 20030228)
ACPI: FACS DFFF3100, 0040
ACPI: SPCR DFFF3140, 0050 (r1 HP     SPCRRBSU        1   �     162E)
ACPI: MCFG DFFF31C0, 003C (r1 HP     ProLiant        1             0)
ACPI: APIC DFFF3200, 00C2 (r1 HP     00000083        2             0)
ACPI: SSDT DFFF8000, 04C9 (r1 HP        SSDTP        1 INTL 20030228)
No NUMA configuration found
Faking a node at 0000000000000000-000000021bfff000
Entering add_active_range(0, 0, 159) 0 entries of 25600 used
Entering add_active_range(0, 256, 917491) 1 entries of 25600 used
Entering add_active_range(0, 1048576, 2211839) 2 entries of 25600 used
Bootmem setup node 0 0000000000000000-000000021bfff000
  NODE_DATA [0000000000012000 - 0000000000026fff]
  bootmap [0000000000027000 -  000000000006a7ff] pages 44
  early res: 0 [0-fff] BIOS data page
  early res: 1 [6000-7fff] TRAMPOLINE
  early res: 2 [200000-84a54b] TEXT DATA BSS
  early res: 3 [37c90000-37fef058] RAMDISK
  early res: 4 [9f400-fffff] BIOS reserved
  early res: 5 [8000-11fff] PGTABLE
 [ffffe20000000000-ffffe20002dfffff] PMD -> [ffff810001200000-ffff810003ffffff] on node 0
 [ffffe20002e00000-ffffe200077fffff] PMD -> [ffff81000c000000-ffff8100103fffff] on node 0
Zone PFN ranges:
  DMA             0 ->     4096
  DMA32        4096 ->  1048576
  Normal    1048576 ->  2211839
Movable zone start PFN for each node
early_node_map[3] active PFN ranges
    0:        0 ->      159
    0:      256 ->   917491
    0:  1048576 ->  2211839
On node 0 totalpages: 2080657
  DMA zone: 56 pages used for memmap
  DMA zone: 1721 pages reserved
  DMA zone: 2222 pages, LIFO batch:0
  DMA32 zone: 14280 pages used for memmap
  DMA32 zone: 899115 pages, LIFO batch:31
  Normal zone: 15904 pages used for memmap
  Normal zone: 1147359 pages, LIFO batch:31
  Movable zone: 0 pages used for memmap
ACPI: PM-Timer IO Port: 0x908
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x04] lapic_id[0x04] disabled)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x02] disabled)
ACPI: LAPIC (acpi_id[0x06] lapic_id[0x06] enabled)
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
ACPI: LAPIC (acpi_id[0x05] lapic_id[0x05] disabled)
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x03] disabled)
ACPI: LAPIC (acpi_id[0x07] lapic_id[0x07] enabled)
ACPI: LAPIC_NMI (acpi_id[0xff] dfl dfl lint[0x1])
ACPI: IOAPIC (id[0x08] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 8, version 0, address 0xfec00000, GSI 0-23
ACPI: IOAPIC (id[0x09] address[0xfec80000] gsi_base[24])
IOAPIC[1]: apic_id 9, version 0, address 0xfec80000, GSI 24-47
ACPI: IOAPIC (id[0x0a] address[0xfec80400] gsi_base[48])
IOAPIC[2]: apic_id 10, version 0, address 0xfec80400, GSI 48-71
ACPI: IOAPIC (id[0x0b] address[0xfec84000] gsi_base[72])
IOAPIC[3]: apic_id 11, version 0, address 0xfec84000, GSI 72-95
ACPI: IOAPIC (id[0x0c] address[0xfec84400] gsi_base[96])
IOAPIC[4]: apic_id 12, version 0, address 0xfec84400, GSI 96-119
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 high edge)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Setting APIC routing to flat
Using ACPI (MADT) for SMP configuration information
PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
PM: Registered nosave memory: 00000000dfff3000 - 00000000dfffb000
PM: Registered nosave memory: 00000000dfffb000 - 00000000e0000000
PM: Registered nosave memory: 00000000e0000000 - 00000000fec00000
PM: Registered nosave memory: 00000000fec00000 - 00000000fed00000
PM: Registered nosave memory: 00000000fed00000 - 00000000fee00000
PM: Registered nosave memory: 00000000fee00000 - 00000000fee10000
PM: Registered nosave memory: 00000000fee10000 - 00000000ffc00000
PM: Registered nosave memory: 00000000ffc00000 - 0000000100000000
Allocating PCI resources starting at e2000000 (gap: e0000000:1ec00000)
SMP: Allowing 8 CPUs, 4 hotplug CPUs
PERCPU: Allocating 45104 bytes of per cpu data
NR_CPUS: 64, nr_cpu_ids: 8
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 2048696
Policy zone: Normal
Kernel command line: ro root=/dev/VolGroup00/LogVol00
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
Extended CMOS year: 2000
TSC calibrated against PM_TIMER
time.c: Detected 3600.126 MHz processor.
Console: colour VGA+ 80x25
console [tty0] enabled
Checking aperture...
Calgary: detecting Calgary via BIOS EBDA area
Calgary: Unable to locate Rio Grande table in EBDA - bailing!
PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
Placing software IO TLB between 0x4000000 - 0x8000000
Memory: 8129160k/8847356k available (2699k kernel code, 193468k reserved, 1485k data, 980k init)
CPA: page pool initialized 1 of 1 pages preallocated
SLUB: Genslabs=13, HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
Calibrating delay using timer specific routine.. 7204.34 BogoMIPS (lpj=3602172)
Security Framework initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
Mount-cache hash table entries: 256
Initializing cgroup subsys ns
Initializing cgroup subsys cpuacct
Initializing cgroup subsys devices
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 2048K
CPU 0/0 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU0: Thermal monitoring enabled (TM1)
using mwait in idle threads.
ACPI: Core revision 20080321
CPU0:                   Intel(R) Xeon(TM) CPU 3.60GHz stepping 0a
Using local APIC timer interrupts.
APIC timer calibration result 12500453
Detected 12.500 MHz APIC timer.
Booting processor 1/6 ip 6000
Initializing CPU#1
Calibrating delay using timer specific routine.. 7200.15 BogoMIPS (lpj=3600079)
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 2048K
CPU 1/6 -> Node 0
CPU: Physical Processor ID: 3
CPU: Processor Core ID: 0
CPU1: Thermal monitoring enabled (TM1)
x86 PAT enabled: cpu 1, old 0x7040600070406, new 0x7010600070106
CPU1:                   Intel(R) Xeon(TM) CPU 3.60GHz stepping 0a
checking TSC synchronization [CPU#0 -> CPU#1]: passed.
Booting processor 2/1 ip 6000
Initializing CPU#2
Calibrating delay using timer specific routine.. 7200.13 BogoMIPS (lpj=3600066)
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 2048K
CPU 2/1 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU2: Thermal monitoring enabled (TM1)
x86 PAT enabled: cpu 2, old 0x7040600070406, new 0x7010600070106
CPU2:                   Intel(R) Xeon(TM) CPU 3.60GHz stepping 0a
checking TSC synchronization [CPU#0 -> CPU#2]: passed.
Booting processor 3/7 ip 6000
Initializing CPU#3
Calibrating delay using timer specific routine.. 7200.20 BogoMIPS (lpj=3600101)
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 2048K
CPU 3/7 -> Node 0
CPU: Physical Processor ID: 3
CPU: Processor Core ID: 0
CPU3: Thermal monitoring enabled (TM1)
x86 PAT enabled: cpu 3, old 0x7040600070406, new 0x7010600070106
CPU3:                   Intel(R) Xeon(TM) CPU 3.60GHz stepping 0a
checking TSC synchronization [CPU#0 -> CPU#3]: passed.
Brought up 4 CPUs
Total of 4 processors activated (28804.83 BogoMIPS).
sizeof(vma)=176 bytes
sizeof(page)=56 bytes
sizeof(inode)=560 bytes
sizeof(dentry)=208 bytes
sizeof(ext3inode)=760 bytes
sizeof(buffer_head)=104 bytes
sizeof(skbuff)=232 bytes
sizeof(task_struct)=5792 bytes
CPU0 attaching sched-domain:
 domain 0: span 0,2
  groups: 0 2
  domain 1: span 0-3
   groups: 0,2 1,3
   domain 2: span 0-3
    groups: 0-3
CPU1 attaching sched-domain:
 domain 0: span 1,3
  groups: 1 3
  domain 1: span 0-3
   groups: 1,3 0,2
   domain 2: span 0-3
    groups: 0-3
CPU2 attaching sched-domain:
 domain 0: span 0,2
  groups: 2 0
  domain 1: span 0-3
   groups: 0,2 1,3
   domain 2: span 0-3
    groups: 0-3
CPU3 attaching sched-domain:
 domain 0: span 1,3
  groups: 3 1
  domain 1: span 0-3
   groups: 1,3 0,2
   domain 2: span 0-3
    groups: 0-3
net_namespace: 1224 bytes
Booting paravirtualized kernel on bare hardware
Time: 20:14:40  Date: 09/16/08
NET: Registered protocol family 16
No dock devices found.
ACPI: bus type pci registered
PCI: Found Intel Corporation E7520 Memory Controller Hub with MMCONFIG support.
PCI: Using MMCONFIG at e0000000 - efffffff
PCI: Using configuration type 1 for base access
PCI: HP ProLiant DL380 detected, enabling pci=bfsort.
mtrr: your CPUs had inconsistent fixed MTRR settings
mtrr: probably your BIOS does not setup all CPUs.
mtrr: corrected configuration.
ACPI: EC: Look up EC in DSDT
ACPI: Interpreter enabled
ACPI: (supports S0 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci 0000:00:1f.0: Force enabled HPET at 0xfed00000
pci 0000:00:1f.0: quirk: region 0900-097f claimed by ICH4 ACPI/GPIO/TCO
pci 0000:00:1f.0: quirk: region 0800-083f claimed by ICH4 GPIO
pci 0000:02:00.0: PXH quirk detected; SHPC device MSI disabled
pci 0000:02:00.2: PXH quirk detected; SHPC device MSI disabled
pci 0000:05:00.0: PXH quirk detected; SHPC device MSI disabled
pci 0000:05:00.2: PXH quirk detected; SHPC device MSI disabled
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.IP2P._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PTA0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PTA0.PCXA._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PTA0.PCXB._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PTC0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PTC0.PCXC._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PTC0.PCXD._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKB] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKC] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKD] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKE] (IRQs 5 7 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKG] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKH] (IRQs *5 7 10 11)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 9 devices
ACPI: ACPI bus type pnp unregistered
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
PCI-GART: No AMD northbridge found.
hpet clockevent registered
hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
hpet0: 3 64-bit timers, 14318180 Hz
system 00:01: ioport range 0x408-0x40f has been reserved
system 00:01: ioport range 0x4d0-0x4d1 has been reserved
system 00:01: ioport range 0x700-0x71f has been reserved
system 00:01: ioport range 0x800-0x83f has been reserved
system 00:01: ioport range 0x900-0x97f has been reserved
system 00:01: ioport range 0xc80-0xc83 has been reserved
system 00:01: ioport range 0xcd4-0xcd7 has been reserved
system 00:01: ioport range 0xf50-0xf58 has been reserved
system 00:01: ioport range 0x2f8-0x2ff has been reserved
system 00:01: iomem range 0xe0000000-0xefffffff could not be reserved
PCI: Bridge: 0000:02:00.0
  IO window: disabled.
  MEM window: 0xfdd00000-0xfddfffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:02:00.2
  IO window: 4000-4fff
  MEM window: 0xfde00000-0xfdefffff
  PREFETCH window: 0x00000000f0000000-0x00000000f00fffff
PCI: Bridge: 0000:00:02.0
  IO window: 4000-4fff
  MEM window: 0xfdd00000-0xfdefffff
  PREFETCH window: 0x00000000f0000000-0x00000000f00fffff
PCI: Bridge: 0000:05:00.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:05:00.2
  IO window: 5000-5fff
  MEM window: 0xfdf00000-0xfdffffff
  PREFETCH window: 0x00000000f0100000-0x00000000f01fffff
PCI: Bridge: 0000:00:06.0
  IO window: 5000-5fff
  MEM window: 0xfdf00000-0xfdffffff
  PREFETCH window: 0x00000000f0100000-0x00000000f01fffff
PCI: Bridge: 0000:00:1e.0
  IO window: 1000-2fff
  MEM window: 0xfbf00000-0xfcffffff
  PREFETCH window: 0x00000000f0200000-0x00000000f02fffff
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:02.0 to 64
PCI: Setting latency timer of device 0000:02:00.0 to 64
PCI: Setting latency timer of device 0000:02:00.2 to 64
ACPI: PCI Interrupt 0000:00:06.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:06.0 to 64
PCI: Setting latency timer of device 0000:05:00.0 to 64
PCI: Setting latency timer of device 0000:05:00.2 to 64
PCI: Setting latency timer of device 0000:00:1e.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 262144 (order: 9, 2097152 bytes)
TCP established hash table entries: 524288 (order: 11, 8388608 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
NET: Registered protocol family 1
checking if image is initramfs... it is
Freeing initrd memory: 3452k freed
audit: initializing netlink socket (disabled)
type=2000 audit(1221596079.698:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
msgmni has been set to 15884
SELinux:  Registering netfilter hooks
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
PCI: Setting latency timer of device 0000:00:02.0 to 64
Allocate Port Service[0000:00:02.0:pcie00]
Allocate Port Service[0000:00:02.0:pcie01]
PCI: Setting latency timer of device 0000:00:06.0 to 64
Allocate Port Service[0000:00:06.0:pcie00]
Allocate Port Service[0000:00:06.0:pcie01]
AER service couldn't init device 0000:00:02.0:pcie01 - no _OSC support
AER service couldn't init device 0000:00:06.0:pcie01 - no _OSC support
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
input: Power Button (FF) as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
ACPI: Power Button (FF) [PWRF]
ACPI: SSDT DFFF9000, 02DA (r1 HP        SSDT0        1 INTL 20030228)
ACPI: ACPI0007:00 is registered as cooling_device0
ACPI: SSDT DFFF9300, 02DA (r1 HP        SSDT1        1 INTL 20030228)
ACPI: ACPI0007:01 is registered as cooling_device1
ACPI: SSDT DFFFA200, 02DA (r1 HP        SSDT6        1 INTL 20030228)
ACPI: ACPI0007:06 is registered as cooling_device2
ACPI: SSDT DFFFA500, 02DA (r1 HP        SSDT7        1 INTL 20030228)
ACPI: ACPI0007:07 is registered as cooling_device3
ACPI: LNXTHERM:01 is registered as thermal_zone0
ACPI: Thermal Zone [THM0] (8 C)
Non-volatile memory driver v1.2
Linux agpgart interface v0.103
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
Switched to high resolution mode on CPU 1
Switched to high resolution mode on CPU 2
Switched to high resolution mode on CPU 3
Switched to high resolution mode on CPU 0
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
00:07: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
brd: module loaded
input: Macintosh mouse button emulation as /devices/virtual/input/input1
PNP: PS/2 Controller [PNP0303:KBD,PNP0f0e:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input2
cpuidle: using governor ladder
cpuidle: using governor menu
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
usbhid: v2.6:USB HID core driver
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 17
registered taskstats version 1
  Magic number: 8:510:245
Freeing unused kernel memory: 980k freed
Write protecting the kernel read-only data: 3848k
ACPI: PCI Interrupt 0000:00:1d.7[D] -> GSI 23 (level, low) -> IRQ 23
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1d.7: debug port 1
PCI: cache line size of 128 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: irq 23, io mem 0xfbef0000
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 8 ports detected
usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb1: Product: EHCI Host Controller
usb usb1: Manufacturer: Linux 2.6.26.3-29.fc9.x86_64 ehci_hcd
usb usb1: SerialNumber: 0000:00:1d.7
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
USB Universal Host Controller Interface driver v3.0
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.0: irq 16, io base 0x00003000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb2: Product: UHCI Host Controller
usb usb2: Manufacturer: Linux 2.6.26.3-29.fc9.x86_64 uhci_hcd
usb usb2: SerialNumber: 0000:00:1d.0
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1d.1: irq 19, io base 0x00003020
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb3: Product: UHCI Host Controller
usb usb3: Manufacturer: Linux 2.6.26.3-29.fc9.x86_64 uhci_hcd
usb usb3: SerialNumber: 0000:00:1d.1
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1d.2: irq 18, io base 0x00003040
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb4: Product: UHCI Host Controller
usb usb4: Manufacturer: Linux 2.6.26.3-29.fc9.x86_64 uhci_hcd
usb usb4: SerialNumber: 0000:00:1d.2
ACPI: PCI Interrupt 0000:00:1d.3[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1d.3 to 64
uhci_hcd 0000:00:1d.3: UHCI Host Controller
uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
uhci_hcd 0000:00:1d.3: irq 16, io base 0x00003060
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb5: Product: UHCI Host Controller
usb usb5: Manufacturer: Linux 2.6.26.3-29.fc9.x86_64 uhci_hcd
usb usb5: SerialNumber: 0000:00:1d.3
SCSI subsystem initialized
HP CISS Driver (v 3.6.20)
ACPI: PCI Interrupt 0000:04:03.0[A] -> GSI 51 (level, low) -> IRQ 51
input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input3
cciss0: <0x46> at PCI 0000:04:03.0 IRQ 51 using DAC
      blocks= 1433700592 block_size= 512
      heads=255, sectors=32, cylinders=175699

      blocks= 1433700592 block_size= 512
      heads=255, sectors=32, cylinders=175699

 cciss/c0d0: p1 p2
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.13.0-ioctl (2007-10-18) initialised: dm-devel@redhat.com
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
type=1404 audit(1221596081.589:2): selinux=0 auid=4294967295 ses=4294967295
iTCO_vendor_support: vendor-support=0
EDAC MC: Ver: 2.1.0 Sep  3 2008
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.03 (30-Apr-2008)
iTCO_wdt: failed to reset NO_REBOOT flag, reboot disabled by hardware
iTCO_wdt: No card detected
Contact your BIOS vendor to see if the E752x error registers can be safely un-hidden
input: PC Speaker as /devices/platform/pcspkr/input/input4
libata version 3.00 loaded.
intel_rng: FWH not detected
ata_piix 0000:00:1f.1: version 2.12
ata_piix 0000:00:1f.1: enabling device (0005 -> 0007)
ACPI: Unable to derive IRQ for device 0000:00:1f.1
PCI: Setting latency timer of device 0000:00:1f.1 to 64
scsi0 : ata_piix
scsi1 : ata_piix
ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0x500 irq 14
ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0x508 irq 15
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
Intel(R) PRO/1000 Network Driver - version 7.3.20-k2-NAPI
Copyright (c) 1999-2006 Intel Corporation.
ata1.00: ATAPI: DV-28E-N, C.6B, max UDMA/33
ata1.00: configured for UDMA/33
scsi 0:0:0:0: CD-ROM            TEAC     DV-28E-N         C.6B PQ: 0 ANSI: 5
hpwdt 0000:01:04.0: This server does not have an iLO2 ASIC.
tg3.c:v3.92.1 (June 9, 2008)
ACPI: PCI Interrupt 0000:03:01.0[A] -> GSI 25 (level, low) -> IRQ 25
eth0: Tigon3 [partno(N/A) rev 2100 PHY(5704)] (PCIX:133MHz:64-bit) 10/100/1000Base-T Ethernet 00:18:71:77:36:9f
eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[1] WireSpeed[1] TSOcap[0]
eth0: dma_rwctrl[769f4000] dma_mask[64-bit]
ACPI: PCI Interrupt 0000:03:01.1[B] -> GSI 26 (level, low) -> IRQ 26
eth1: Tigon3 [partno(N/A) rev 2100 PHY(5704)] (PCIX:133MHz:64-bit) 10/100/1000Base-T Ethernet 00:18:71:77:36:9e
eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] WireSpeed[1] TSOcap[1]
eth1: dma_rwctrl[769f4000] dma_mask[64-bit]
ACPI: PCI Interrupt 0000:0a:01.0[A] -> GSI 97 (level, low) -> IRQ 97
e1000: 0000:0a:01.0: e1000_probe: (PCI-X:133MHz:64-bit) 00:11:0a:63:6a:62
e1000: eth2: e1000_probe: Intel(R) PRO/1000 Network Connection
ACPI: PCI Interrupt 0000:0a:01.1[B] -> GSI 98 (level, low) -> IRQ 98
e1000: 0000:0a:01.1: e1000_probe: (PCI-X:133MHz:64-bit) 00:11:0a:63:6a:63
e1000: eth3: e1000_probe: Intel(R) PRO/1000 Network Connection
Driver 'sr' needs updating - please use bus_type methods
sr0: scsi3-mmc drive: 24x/24x cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 0:0:0:0: Attached scsi CD-ROM sr0
sr 0:0:0:0: Attached scsi generic sg0 type 5
device-mapper: multipath: version 1.0.5 loaded
loop: module loaded
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on cciss/c0d0p1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 2031608k swap on /dev/mapper/VolGroup00-LogVol01.  Priority:-1 extents:1 across:2031608k
Comment 7 shr 2008-09-17 21:26:45 EDT
The same problem exists on HP blade server, maybe on MOST of HP servers...
HP PC like dc7800/dc7600 and NB like Compaq 6910p don't have this problem.

The following is working OLD rtc driver dmesg on HP DL380G4 with Fedora 8 installed, is it helpful?

Initializing cgroup subsys cpuset
Linux version 2.6.25.6-27.fc8 (mockbuild@x86-2) (gcc version 4.1.2 20070925 (Red Hat 4.1.2-33)) #1 SMP Fri Jun 13 16:17:54 EDT 2008
Command line: ro root=/dev/VolGroup00/LogVol00 rhgb quiet
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f400 (usable)
 BIOS-e820: 000000000009f400 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 00000000dfff3000 (usable)
 BIOS-e820: 00000000dfff3000 - 00000000dfffb000 (ACPI data)
 BIOS-e820: 00000000dfffb000 - 00000000e0000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fed00000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee10000 (reserved)
 BIOS-e820: 00000000ffc00000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 000000019bfff000 (usable)
Entering add_active_range(0, 0, 159) 0 entries of 3200 used
Entering add_active_range(0, 256, 917491) 1 entries of 3200 used
Entering add_active_range(0, 1048576, 1687551) 2 entries of 3200 used
end_pfn_map = 1687551
DMI 2.3 present.
ACPI: RSDP 000F4F00, 0024 (r2 HP    )
ACPI: XSDT DFFF3300, 0044 (r1 HP     P51             2   Ò     162E)
ACPI: FACP DFFF3380, 00F4 (r3 HP     P51             2   Ò     162E)
ACPI: DSDT DFFF3480, 2D62 (r1 HP         DSDT        1 INTL 20030228)
ACPI: FACS DFFF3100, 0040
ACPI: SPCR DFFF3140, 0050 (r1 HP     SPCRRBSU        1   Ò     162E)
ACPI: MCFG DFFF31C0, 003C (r1 HP     ProLiant        1             0)
ACPI: APIC DFFF3200, 00C2 (r1 HP     00000083        2             0)
No NUMA configuration found
Faking a node at 0000000000000000-000000019bfff000
Entering add_active_range(0, 0, 159) 0 entries of 3200 used
Entering add_active_range(0, 256, 917491) 1 entries of 3200 used
Entering add_active_range(0, 1048576, 1687551) 2 entries of 3200 used
Bootmem setup node 0 0000000000000000-000000019bfff000
  NODE_DATA [0000000000010000 - 0000000000017fff]
  bootmap [0000000000018000 -  000000000004b7ff] pages 34
early res: 0 [0-fff] BIOS data page
early res: 1 [6000-7fff] SMP_TRAMPOLINE
early res: 2 [200000-757aeb] TEXT DATA BSS
early res: 3 [37c17000-37fefc61] RAMDISK
early res: 4 [9f400-a03ff] EBDA
early res: 5 [8000-ffff] PGTABLE
 [ffffe20000000000-ffffe200001fffff] PMD ->ffff810001200000 on node 0
 [ffffe20000200000-ffffe200003fffff] PMD ->ffff810001600000 on node 0
 [ffffe20000400000-ffffe200005fffff] PMD ->ffff810001a00000 on node 0
 [ffffe20000600000-ffffe200007fffff] PMD ->ffff810001e00000 on node 0
 [ffffe20000800000-ffffe200009fffff] PMD ->ffff810002200000 on node 0
 [ffffe20000a00000-ffffe20000bfffff] PMD ->ffff810002600000 on node 0
 [ffffe20000c00000-ffffe20000dfffff] PMD ->ffff810002a00000 on node 0
 [ffffe20000e00000-ffffe20000ffffff] PMD ->ffff810002e00000 on node 0
 [ffffe20001000000-ffffe200011fffff] PMD ->ffff810003200000 on node 0
 [ffffe20001200000-ffffe200013fffff] PMD ->ffff810003600000 on node 0
 [ffffe20001400000-ffffe200015fffff] PMD ->ffff810003a00000 on node 0
 [ffffe20001600000-ffffe200017fffff] PMD ->ffff810003e00000 on node 0
 [ffffe20001800000-ffffe200019fffff] PMD ->ffff810004200000 on node 0
 [ffffe20001a00000-ffffe20001bfffff] PMD ->ffff810004600000 on node 0
 [ffffe20001c00000-ffffe20001dfffff] PMD ->ffff810004a00000 on node 0
 [ffffe20001e00000-ffffe20001ffffff] PMD ->ffff810004e00000 on node 0
 [ffffe20002000000-ffffe200021fffff] PMD ->ffff810005200000 on node 0
 [ffffe20002200000-ffffe200023fffff] PMD ->ffff810005600000 on node 0
 [ffffe20002400000-ffffe200025fffff] PMD ->ffff810005a00000 on node 0
 [ffffe20002600000-ffffe200027fffff] PMD ->ffff810005e00000 on node 0
 [ffffe20002800000-ffffe200029fffff] PMD ->ffff810006200000 on node 0
 [ffffe20002a00000-ffffe20002bfffff] PMD ->ffff810006600000 on node 0
 [ffffe20002c00000-ffffe20002dfffff] PMD ->ffff810006a00000 on node 0
 [ffffe20002e00000-ffffe20002ffffff] PMD ->ffff810006e00000 on node 0
 [ffffe20003000000-ffffe200031fffff] PMD ->ffff810007200000 on node 0
 [ffffe20003800000-ffffe200039fffff] PMD ->ffff810007600000 on node 0
 [ffffe20003a00000-ffffe20003bfffff] PMD ->ffff810007a00000 on node 0
 [ffffe20003c00000-ffffe20003dfffff] PMD ->ffff810007e00000 on node 0
 [ffffe20003e00000-ffffe20003ffffff] PMD ->ffff810008200000 on node 0
 [ffffe20004000000-ffffe200041fffff] PMD ->ffff810008600000 on node 0
 [ffffe20004200000-ffffe200043fffff] PMD ->ffff810008a00000 on node 0
 [ffffe20004400000-ffffe200045fffff] PMD ->ffff810008e00000 on node 0
 [ffffe20004600000-ffffe200047fffff] PMD ->ffff810009200000 on node 0
 [ffffe20004800000-ffffe200049fffff] PMD ->ffff810009600000 on node 0
 [ffffe20004a00000-ffffe20004bfffff] PMD ->ffff810009a00000 on node 0
 [ffffe20004c00000-ffffe20004dfffff] PMD ->ffff810009e00000 on node 0
 [ffffe20004e00000-ffffe20004ffffff] PMD ->ffff81000a200000 on node 0
 [ffffe20005000000-ffffe200051fffff] PMD ->ffff81000a600000 on node 0
 [ffffe20005200000-ffffe200053fffff] PMD ->ffff81000aa00000 on node 0
 [ffffe20005400000-ffffe200055fffff] PMD ->ffff81000ae00000 on node 0
 [ffffe20005600000-ffffe200057fffff] PMD ->ffff81000b200000 on node 0
 [ffffe20005800000-ffffe200059fffff] PMD ->ffff81000b600000 on node 0
 [ffffe20005a00000-ffffe20005bfffff] PMD ->ffff81000ba00000 on node 0
Zone PFN ranges:
  DMA             0 ->     4096
  DMA32        4096 ->  1048576
  Normal    1048576 ->  1687551
Movable zone start PFN for each node
early_node_map[3] active PFN ranges
    0:        0 ->      159
    0:      256 ->   917491
    0:  1048576 ->  1687551
On node 0 totalpages: 1556369
  DMA zone: 56 pages used for memmap
  DMA zone: 1381 pages reserved
  DMA zone: 2562 pages, LIFO batch:0
  DMA32 zone: 14280 pages used for memmap
  DMA32 zone: 899115 pages, LIFO batch:31
  Normal zone: 8735 pages used for memmap
  Normal zone: 630240 pages, LIFO batch:31
  Movable zone: 0 pages used for memmap
ACPI: PM-Timer IO Port: 0x908
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 (Bootup-CPU)
ACPI: LAPIC (acpi_id[0x04] lapic_id[0x04] disabled)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x02] disabled)
ACPI: LAPIC (acpi_id[0x06] lapic_id[0x06] enabled)
Processor #6
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
Processor #1
ACPI: LAPIC (acpi_id[0x05] lapic_id[0x05] disabled)
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x03] disabled)
ACPI: LAPIC (acpi_id[0x07] lapic_id[0x07] enabled)
Processor #7
ACPI: LAPIC_NMI (acpi_id[0xff] dfl dfl lint[0x1])
ACPI: IOAPIC (id[0x08] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 8, address 0xfec00000, GSI 0-23
ACPI: IOAPIC (id[0x09] address[0xfec80000] gsi_base[24])
IOAPIC[1]: apic_id 9, address 0xfec80000, GSI 24-47
ACPI: IOAPIC (id[0x0a] address[0xfec80400] gsi_base[48])
IOAPIC[2]: apic_id 10, address 0xfec80400, GSI 48-71
ACPI: IOAPIC (id[0x0b] address[0xfec84000] gsi_base[72])
IOAPIC[3]: apic_id 11, address 0xfec84000, GSI 72-95
ACPI: IOAPIC (id[0x0c] address[0xfec84400] gsi_base[96])
IOAPIC[4]: apic_id 12, address 0xfec84400, GSI 96-119
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 high edge)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Setting APIC routing to flat
Using ACPI (MADT) for SMP configuration information
PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
PM: Registered nosave memory: 00000000dfff3000 - 00000000dfffb000
PM: Registered nosave memory: 00000000dfffb000 - 00000000e0000000
PM: Registered nosave memory: 00000000e0000000 - 00000000fec00000
PM: Registered nosave memory: 00000000fec00000 - 00000000fed00000
PM: Registered nosave memory: 00000000fed00000 - 00000000fee00000
PM: Registered nosave memory: 00000000fee00000 - 00000000fee10000
PM: Registered nosave memory: 00000000fee10000 - 00000000ffc00000
PM: Registered nosave memory: 00000000ffc00000 - 0000000100000000
Allocating PCI resources starting at e2000000 (gap: e0000000:1ec00000)
SMP: Allowing 8 CPUs, 4 hotplug CPUs
PERCPU: Allocating 43072 bytes of per cpu data
Built 1 zonelists in Node order, mobility grouping on.  Total pages: 1531917
Policy zone: Normal
Kernel command line: ro root=/dev/VolGroup00/LogVol00 rhgb quiet
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
Extended CMOS year: 2000
TSC calibrated against PM_TIMER
time.c: Detected 3200.109 MHz processor.
Console: colour VGA+ 80x25
console [tty0] enabled
Checking aperture...
Calgary: detecting Calgary via BIOS EBDA area
Calgary: Unable to locate Rio Grande table in EBDA - bailing!
PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
Placing software IO TLB between 0xbc33000 - 0xfc33000
Memory: 6061120k/6750204k available (2633k kernel code, 164356k reserved, 1412k data, 344k init)
CPA: page pool initialized 1 of 1 pages preallocated
SLUB: Genslabs=13, HWalign=64, Order=0-1, MinObjects=4, CPUs=8, Nodes=1
Calibrating delay using timer specific routine.. 6403.59 BogoMIPS (lpj=3201798)
Security Framework initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
Mount-cache hash table entries: 256
Initializing cgroup subsys ns
Initializing cgroup subsys cpuacct
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 1024K
CPU 0/0 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU0: Thermal monitoring enabled (TM1)
ACPI: Core revision 20070126
Using local APIC timer interrupts.
APIC timer calibration result 12500412
Detected 12.500 MHz APIC timer.
Booting processor 1/4 APIC 0x6
Initializing CPU#1
Calibrating delay using timer specific routine.. 6400.16 BogoMIPS (lpj=3200082)
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 1024K
CPU 1/6 -> Node 0
CPU: Physical Processor ID: 3
CPU: Processor Core ID: 0
CPU1: Thermal monitoring enabled (TM1)
                  Intel(R) Xeon(TM) CPU 3.20GHz stepping 04
checking TSC synchronization [CPU#0 -> CPU#1]: passed.
Booting processor 2/4 APIC 0x1
Initializing CPU#2
Calibrating delay using timer specific routine.. 6400.12 BogoMIPS (lpj=3200061)
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 1024K
CPU 2/1 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU2: Thermal monitoring enabled (TM1)
                  Intel(R) Xeon(TM) CPU 3.20GHz stepping 04
checking TSC synchronization [CPU#0 -> CPU#2]: passed.
Booting processor 3/4 APIC 0x7
Initializing CPU#3
Calibrating delay using timer specific routine.. 6400.18 BogoMIPS (lpj=3200092)
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 1024K
CPU 3/7 -> Node 0
CPU: Physical Processor ID: 3
CPU: Processor Core ID: 0
CPU3: Thermal monitoring enabled (TM1)
                  Intel(R) Xeon(TM) CPU 3.20GHz stepping 04
checking TSC synchronization [CPU#0 -> CPU#3]: passed.
Brought up 4 CPUs
sizeof(vma)=176 bytes
sizeof(page)=56 bytes
sizeof(inode)=560 bytes
sizeof(dentry)=208 bytes
sizeof(ext3inode)=760 bytes
sizeof(buffer_head)=104 bytes
sizeof(skbuff)=224 bytes
sizeof(task_struct)=6224 bytes
CPU0 attaching sched-domain:
 domain 0: span 00000000,00000005
  groups: 00000000,00000001 00000000,00000004
  domain 1: span 00000000,0000000f
   groups: 00000000,00000005 00000000,0000000a
   domain 2: span 00000000,0000000f
    groups: 00000000,0000000f
CPU1 attaching sched-domain:
 domain 0: span 00000000,0000000a
  groups: 00000000,00000002 00000000,00000008
  domain 1: span 00000000,0000000f
   groups: 00000000,0000000a 00000000,00000005
   domain 2: span 00000000,0000000f
    groups: 00000000,0000000f
CPU2 attaching sched-domain:
 domain 0: span 00000000,00000005
  groups: 00000000,00000004 00000000,00000001
  domain 1: span 00000000,0000000f
   groups: 00000000,00000005 00000000,0000000a
   domain 2: span 00000000,0000000f
    groups: 00000000,0000000f
CPU3 attaching sched-domain:
 domain 0: span 00000000,0000000a
  groups: 00000000,00000008 00000000,00000002
  domain 1: span 00000000,0000000f
   groups: 00000000,0000000a 00000000,00000005
   domain 2: span 00000000,0000000f
    groups: 00000000,0000000f
net_namespace: 1016 bytes
Time:  2:50:25  Date: 06/27/08
NET: Registered protocol family 16
No dock devices found.
ACPI: bus type pci registered
PCI: Found Intel Corporation E7520 Memory Controller Hub with MMCONFIG support.
PCI: Using MMCONFIG at e0000000 - efffffff
PCI: Using configuration type 1
mtrr: your CPUs had inconsistent fixed MTRR settings
mtrr: probably your BIOS does not setup all CPUs.
mtrr: corrected configuration.
ACPI: EC: Look up EC in DSDT
ACPI: Interpreter enabled
ACPI: (supports S0 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci 0000:00:1f.0: Force enabled HPET at 0xfed00000
pci 0000:00:1f.0: quirk: region 0900-097f claimed by ICH4 ACPI/GPIO/TCO
pci 0000:00:1f.0: quirk: region 0800-083f claimed by ICH4 GPIO
pci 0000:02:00.0: PXH quirk detected; SHPC device MSI disabled
pci 0000:02:00.2: PXH quirk detected; SHPC device MSI disabled
pci 0000:05:00.0: PXH quirk detected; SHPC device MSI disabled
pci 0000:05:00.2: PXH quirk detected; SHPC device MSI disabled
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.IP2P._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PTA0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PTA0.PCXA._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PTA0.PCXB._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PTC0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PTC0.PCXC._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PTC0.PCXD._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKB] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKC] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKD] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKE] (IRQs 5 7 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKG] (IRQs *5 7 10 11)
ACPI: PCI Interrupt Link [LNKH] (IRQs *5 7 10 11)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 9 devices
ACPI: ACPI bus type pnp unregistered
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
PCI: Cannot allocate resource region 4 of device 0000:00:1d.0
PCI: Cannot allocate resource region 4 of device 0000:00:1d.1
PCI: Cannot allocate resource region 4 of device 0000:00:1d.2
PCI: Cannot allocate resource region 4 of device 0000:00:1d.3
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
PCI-GART: No AMD northbridge found.
hpet clockevent registered
hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
hpet0: 3 64-bit timers, 14318180 Hz
system 00:01: ioport range 0x408-0x40f has been reserved
system 00:01: ioport range 0x4d0-0x4d1 has been reserved
system 00:01: ioport range 0x700-0x71f has been reserved
system 00:01: ioport range 0x800-0x83f has been reserved
system 00:01: ioport range 0x900-0x97f has been reserved
system 00:01: ioport range 0xc80-0xc83 has been reserved
system 00:01: ioport range 0xcd4-0xcd7 has been reserved
system 00:01: ioport range 0xf50-0xf58 has been reserved
system 00:01: ioport range 0x2f8-0x2ff has been reserved
system 00:01: iomem range 0xe0000000-0xefffffff could not be reserved
PCI: Bridge: 0000:02:00.0
  IO window: disabled.
  MEM window: 0xfde00000-0xfdefffff
  PREFETCH window: disabled.
PCI: Bridge: 0000:02:00.2
  IO window: 4000-4fff
  MEM window: 0xfdf00000-0xfdffffff
  PREFETCH window: 0x00000000f0000000-0x00000000f00fffff
PCI: Bridge: 0000:00:02.0
  IO window: 4000-4fff
  MEM window: 0xfde00000-0xfdffffff
  PREFETCH window: 0x00000000f0000000-0x00000000f00fffff
PCI: Bridge: 0000:05:00.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:05:00.2
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:06.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1e.0
  IO window: 1000-3fff
  MEM window: 0xfbf00000-0xfcffffff
  PREFETCH window: 0x00000000f0100000-0x00000000f01fffff
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:02.0 to 64
PCI: Setting latency timer of device 0000:02:00.0 to 64
PCI: Setting latency timer of device 0000:02:00.2 to 64
ACPI: PCI Interrupt 0000:00:06.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:06.0 to 64
PCI: Setting latency timer of device 0000:05:00.0 to 64
PCI: Setting latency timer of device 0000:05:00.2 to 64
PCI: Setting latency timer of device 0000:00:1e.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 262144 (order: 9, 2097152 bytes)
TCP established hash table entries: 524288 (order: 11, 8388608 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 3939k freed
audit: initializing netlink socket (disabled)
type=2000 audit(1214535024.741:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
ksign: Installing public key data
Loading keyring
- Added public key 77E2A7645533EBBA
- User ID: Red Hat, Inc. (Kernel Module GPG key)
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
PCI: Setting latency timer of device 0000:00:02.0 to 64
Allocate Port Service[0000:00:02.0:pcie00]
Allocate Port Service[0000:00:02.0:pcie01]
PCI: Setting latency timer of device 0000:00:06.0 to 64
Allocate Port Service[0000:00:06.0:pcie00]
Allocate Port Service[0000:00:06.0:pcie01]
AER service couldn't init device 0000:00:02.0:pcie01 - no _OSC support
AER service couldn't init device 0000:00:06.0:pcie01 - no _OSC support
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: ACPI0007:00 is registered as cooling_device0
ACPI: ACPI0007:01 is registered as cooling_device1
ACPI: ACPI0007:06 is registered as cooling_device2
ACPI: ACPI0007:07 is registered as cooling_device3
ACPI: LNXTHERM:01 is registered as thermal_zone0
ACPI: Thermal Zone [THM0] (8 C)
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.103
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
Switched to high resolution mode on CPU 2
Switched to high resolution mode on CPU 3
Switched to high resolution mode on CPU 1
Switched to high resolution mode on CPU 0
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
00:07: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
brd: module loaded
input: Macintosh mouse button emulation as /class/input/input0
PNP: PS/2 Controller [PNP0303:KBD,PNP0f0e:PS2M] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard as /class/input/input1
cpuidle: using governor ladder
cpuidle: using governor menu
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
registered taskstats version 1
  Magic number: 12:26:815
Freeing unused kernel memory: 344k freed
Write protecting the kernel read-only data: 1128k
ACPI: PCI Interrupt 0000:00:1d.7[D] -> GSI 23 (level, low) -> IRQ 23
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1d.7: debug port 1
PCI: cache line size of 128 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: irq 23, io mem 0xfbef0000
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 8 ports detected
usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb1: Product: EHCI Host Controller
usb usb1: Manufacturer: Linux 2.6.25.6-27.fc8 ehci_hcd
usb usb1: SerialNumber: 0000:00:1d.7
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
USB Universal Host Controller Interface driver v3.0
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.0: irq 16, io base 0x00005000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb2: Product: UHCI Host Controller
usb usb2: Manufacturer: Linux 2.6.25.6-27.fc8 uhci_hcd
usb usb2: SerialNumber: 0000:00:1d.0
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1d.1: irq 19, io base 0x00005020
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb3: Product: UHCI Host Controller
usb usb3: Manufacturer: Linux 2.6.25.6-27.fc8 uhci_hcd
usb usb3: SerialNumber: 0000:00:1d.1
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1d.2: irq 18, io base 0x00005040
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb4: Product: UHCI Host Controller
usb usb4: Manufacturer: Linux 2.6.25.6-27.fc8 uhci_hcd
usb usb4: SerialNumber: 0000:00:1d.2
ACPI: PCI Interrupt 0000:00:1d.3[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1d.3 to 64
uhci_hcd 0000:00:1d.3: UHCI Host Controller
uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
uhci_hcd 0000:00:1d.3: irq 16, io base 0x00005060
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 2 ports detected
usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb5: Product: UHCI Host Controller
usb usb5: Manufacturer: Linux 2.6.25.6-27.fc8 uhci_hcd
usb usb5: SerialNumber: 0000:00:1d.3
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.13.0-ioctl (2007-10-18) initialised: dm-devel@redhat.com
SCSI subsystem initialized
Driver 'sd' needs updating - please use bus_type methods
HP CISS Driver (v 3.6.14)
ACPI: PCI Interrupt 0000:04:03.0[A] -> GSI 51 (level, low) -> IRQ 51
input: ImExPS/2 Generic Explorer Mouse as /class/input/input2
cciss0: <0x46> at PCI 0000:04:03.0 IRQ 51 using DAC
      blocks= 711261810 block_size= 512
      heads=255, sectors=63, cylinders=44274

      blocks= 711261810 block_size= 512
      heads=255, sectors=63, cylinders=44274

 cciss/c0d0: p1 p2
libata version 3.00 loaded.
ata_piix 0000:00:1f.1: version 2.12
PCI: Enabling device 0000:00:1f.1 (0005 -> 0007)
ACPI: Unable to derive IRQ for device 0000:00:1f.1
PCI: Setting latency timer of device 0000:00:1f.1 to 64
scsi0 : ata_piix
scsi1 : ata_piix
ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0x500 irq 14
ata2: PATA max UDMA/100 cmd 0x170 ctl 0x376 bmdma 0x508 irq 15
ata1.00: ATAPI: TSSTcorpCD-ROM  TS-L162C, N204, max UDMA/33
ata1.00: configured for UDMA/33
scsi 0:0:0:0: CD-ROM            TSSTcorp CD-ROM  TS-L162C N204 PQ: 0 ANSI: 5
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
type=1404 audit(1214535030.264:2): selinux=0 auid=4294967295 ses=4294967295
Driver 'sr' needs updating - please use bus_type methods
sr0: scsi3-mmc drive: 10x/24x cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 0:0:0:0: Attached scsi CD-ROM sr0
EDAC MC: Ver: 2.1.0 Jun 13 2008
intel_rng: FWH not detected
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
sr 0:0:0:0: Attached scsi generic sg0 type 5
Contact your BIOS vendor to see if the E752x error registers can be safely un-hidden
input: Power Button (FF) as /class/input/input3
ACPI: Power Button (FF) [PWRF]
iTCO_vendor_support: vendor-support=0
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.02 (26-Jul-2007)
iTCO_wdt: failed to reset NO_REBOOT flag, reboot disabled by hardware
iTCO_wdt: No card detected
tg3.c:v3.91 (April 18, 2008)
ACPI: PCI Interrupt 0000:03:01.0[A] -> GSI 25 (level, low) -> IRQ 25
eth0: Tigon3 [partno(N/A) rev 2100 PHY(5704)] (PCIX:133MHz:64-bit) 10/100/1000Base-T Ethernet 00:0f:20:f9:06:09
eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[1] WireSpeed[1] TSOcap[0]
eth0: dma_rwctrl[769f4000] dma_mask[64-bit]
ACPI: PCI Interrupt 0000:03:01.1[B] -> GSI 26 (level, low) -> IRQ 26
eth1: Tigon3 [partno(N/A) rev 2100 PHY(5704)] (PCIX:133MHz:64-bit) 10/100/1000Base-T Ethernet 00:0f:20:f9:06:08
eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] WireSpeed[1] TSOcap[1]
eth1: dma_rwctrl[769f4000] dma_mask[64-bit]
hpwdt 0000:01:04.0: This server does not have an iLO2 ASIC.
input: PC Speaker as /class/input/input4
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
loop: module loaded
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on cciss/c0d0p1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 2031608k swap on /dev/mapper/VolGroup00-LogVol01.  Priority:-1 extents:1 across:2031608k
IA-32 Microcode Update Driver: v1.14a <tigran@aivazian.fsnet.co.uk>
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
ip6_tables: (C) 2000-2006 Netfilter Core Team
ip_tables: (C) 2000-2006 Netfilter Core Team
nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
ADDRCONF(NETDEV_UP): eth0: link is not ready
tg3: eth0: Link is up at 1000 Mbps, full duplex.
tg3: eth0: Flow control is off for TX and off for RX.
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
ADDRCONF(NETDEV_UP): eth1: link is not ready
tg3: eth1: Link is up at 1000 Mbps, full duplex.
tg3: eth1: Flow control is off for TX and off for RX.
ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
fuse init (API version 7.9)
warning: `dbus-daemon' uses 32-bit capabilities (legacy support in use)
eth0: no IPv6 routers present
eth1: no IPv6 routers present
i2c /dev entries driver
end_request: I/O error, dev fd0, sector 0
end_request: I/O error, dev fd0, sector 0
Netfilter messages via NETLINK v0.30.
ctnetlink v0.93: registering with nfnetlink.
end_request: I/O error, dev fd0, sector 0
hald[2226]: segfault at 7fb9c1464000 ip 4102d0 sp 7fffc9aa3e90 error 4 in hald[400000+4f000]
testCharPtrPtr2[7474]: segfault at ffffff88 ip 360be795c0 sp 7fffa68857c8 error 4 in libc-2.7.so[360be00000+14d000]
testCharPtrPtr2[7482]: segfault at 62 ip 360be795a0 sp 7fffeeb63aa8 error 4 in libc-2.7.so[360be00000+14d000]
testCharPtrPtr2[7500]: segfault at 62 ip 360be795a0 sp 7fff811640a8 error 4 in libc-2.7.so[360be00000+14d000]
testCharPtrPtr2[7517]: segfault at 62 ip 360be795a0 sp 7fffcfa689a8 error 4 in libc-2.7.so[360be00000+14d000]
testCharPtrPtr2[7554]: segfault at 61 ip 360be795a0 sp 7fff2e21c168 error 4 in libc-2.7.so[360be00000+14d000]
testCharPtrPtr2[7572]: segfault at 61 ip 360be795a0 sp 7fff96519468 error 4 in libc-2.7.so[360be00000+14d000]
end_request: I/O error, dev fd0, sector 0
Comment 8 Chuck Ebbert 2008-09-24 18:59:07 EDT
Patch from the upstream bug report is reported to fix the problem.
Comment 9 Chuck Ebbert 2008-09-24 19:00:29 EDT
Fix for upstream patch:

Subject: acpi-cope-with-pnpacpi-tables-missing-an-rtc-entry-fix
From: Andrew Morton <akpm@linux-foundation.org>

Cc: <stable@kernel.org>
Cc: Adam Belay <abelay@novell.com>
Cc: Alessandro Zummo <a.zummo@towertech.it>
Cc: Bjorn Helgaas <bjorn.helgaas@hp.com>
Cc: Chuck Ebbert <cebbert@redhat.com>
Cc: David Brownell <dbrownell@users.sourceforge.net>
Cc: Ingo Molnar <mingo@elte.hu>
Cc: Len Brown <lenb@kernel.org>
Cc: Rik Theys <rik.theys@esat.kuleuven.be>
Cc: Thomas Gleixner <tglx@linutronix.de>
Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
---

 include/asm-x86/mc146818rtc.h |    2 ++
 1 file changed, 2 insertions(+)

diff -puN include/asm-x86/mc146818rtc.h~acpi-cope-with-pnpacpi-tables-missing-an-rtc-entry-fix include/asm-x86/mc146818rtc.h
--- a/include/asm-x86/mc146818rtc.h~acpi-cope-with-pnpacpi-tables-missing-an-rtc-entry-fix
+++ a/include/asm-x86/mc146818rtc.h
@@ -9,6 +9,8 @@
 #include <asm/processor.h>
 #include <linux/mc146818rtc.h>
 
+struct device;
+
 #ifndef RTC_PORT
 #define RTC_PORT(x)	(0x70 + (x))
 #define RTC_ALWAYS_BCD	1	/* RTC operates in binary mode */
Comment 10 Chuck Ebbert 2008-09-29 19:31:05 EDT
Until that fix gets into a release, you can work around the problem by booting with the kernel option "pnpacpi=off".
Comment 11 shr 2008-10-01 21:48:08 EDT
Setting the kernel option "pnpacpi=off" is working fine on my systems. I am wondering if it will cause any other problem?

The newest kernel on Fedora 9 ,"kernel-2.6.26.5-45.fc9.x86_64", hasn't included the fix...
Comment 12 Bjorn Helgaas 2008-10-15 12:46:14 EDT
The two patches below (in Linus' current git tree) should fix this problem:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=758a7f7bb86b520aadc484f23da85e547b3bf3d8
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=72f22b1eb6ca5e4676a632a04d40d46cb61d4562

shr, can you please test these and report the results?  Thanks!
Comment 13 Chuck Ebbert 2008-10-16 13:57:38 EDT
Upstream patches merged:
2.6.27.1-20.fc10
2.6.26.6-77.fc9
2.6.26.6-48.fc8
Comment 14 shr 2008-10-22 05:06:53 EDT
Yes, it's working

[root@HPDL360G5-1 ~]# uname -a
Linux HPDL360G5-1.lab.icst.org.tw 2.6.27.2 #1 SMP Wed Oct 22 16:39:56 CST 2008 x86_64 x86_64 x86_64 GNU/Linu

[root@HPDL360G5-1 ~]# dmesg | grep -i rtc
platform rtc_cmos: registered platform RTC device (no PNP device found)
rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
rtc0: alarms up to one day, hpet irqs

[root@HPDL360G5-1 ~]# ls -al /dev/rtc*
lrwxrwxrwx 1 root root      4 2008-10-23 00:49 /dev/rtc -> rtc0
crw-r--r-- 1 root root 254, 0 2008-10-23 00:49 /dev/rtc0

kernel 2.6.27.2

rtc.c line 216-
static struct platform_device rtc_device = {
        .name           = "rtc_cmos",
        .id             = -1,
        .resource       = rtc_resources,
        .num_resources  = ARRAY_SIZE(rtc_resources),
};

static __init int add_rtc_cmos(void)
{
#ifdef CONFIG_PNP
        static const char *ids[] __initconst =
                { "PNP0b00", "PNP0b01", "PNP0b02", };
        struct pnp_dev *dev;
        struct pnp_id *id;
        int i;

        pnp_for_each_dev(dev) {
                for (id = dev->id; id; id = id->next) {
                        for (i = 0; i < ARRAY_SIZE(ids); i++) {
                                if (compare_pnp_id(id, ids[i]) != 0)
                                        return 0;
                        }
                }
        }
#endif

        platform_device_register(&rtc_device);
        dev_info(&rtc_device.dev,
                "registered platform RTC device (no PNP device found)\n");
        return 0;
}
device_initcall(add_rtc_cmos);


rtc-cmos.c line 1021-
static struct platform_driver cmos_platform_driver = {
        .remove         = __exit_p(cmos_platform_remove),
        .shutdown       = cmos_platform_shutdown,
        .driver = {
                .name           = (char *) driver_name,
                .suspend        = cmos_suspend,
                .resume         = cmos_resume,
        }
};

static int __init cmos_init(void)
{
        int retval = 0;

#ifdef  CONFIG_PNP
        pnp_register_driver(&cmos_pnp_driver);
#endif

        if (!cmos_rtc.dev)
                retval = platform_driver_probe(&cmos_platform_driver,
                                                cmos_platform_probe);

        if (retval == 0)
                return 0;

#ifdef CONFIG_PNP
        pnp_unregister_driver(&cmos_pnp_driver);
#endif
        return retval;
}
module_init(cmos_init);

static void __exit cmos_exit(void)
{
#ifdef  CONFIG_PNP
        pnp_unregister_driver(&cmos_pnp_driver);
#endif
}
module_exit(cmos_exit);


MODULE_AUTHOR("David Brownell");
MODULE_DESCRIPTION("Driver for PC-style 'CMOS' RTCs");
MODULE_LICENSE("GPL");
Comment 15 bingbing 2015-04-27 04:02:15 EDT
System CMOS/real time clock driver manufacturer is (Standard system devices) and developed by Microsoft in the database contains 78 versions of the System CMOS/real time clock matches the hardware *PNP0B00.System CMOS/real time clock compatible with 1 hardwares driver contains 9 binary files, You can Download the latest drivers for your System CMOS/real time clock.
http://www.binarydb.com/driver/System-CMOS%2Freal-time-clock-340.html

Note You need to log in before you can comment on or make changes to this bug.